# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname PythonCard
%define fedora 27
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%oldname and %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name PythonCard
%define version 0.8.2
%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(0)')
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{oldname}-%{version}}

Name: 		python-module-PythonCard
Version:	0.8.2
Release:	alt1_21
Summary:	PythonCard GUI construction toolkit 

Source:		http://dl.sf.net/pythoncard/%{oldname}-%{version}.tar.gz
# Fix doc syntax. Otherwise package does not build. Upstreamable:
Patch0:		PythonCard-docfix.patch
URL:		http://pythoncard.sourceforge.net/

Group:		Development/Other
License:	BSD


BuildRequires:	python-devel, python-module-wx3.0-devel
Requires:	python-module-wx3.0
BuildArch:	noarch
Source44: import.info
# optional
%filter_from_requires /^python....gadfly./d
%filter_from_requires /^python....addresses./d

%description
PythonCard is a GUI construction kit for building cross-platform desktop
applications on Windows, Mac OS X, and Linux, using the Python language.

%prep
%setup -n %{oldname}-%{version} -q
%patch0 -p1

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build 

%install
env CFLAGS="$RPM_OPT_FLAGS" python setup.py install --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{oldname}
mv $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/%{oldname}/samples $RPM_BUILD_ROOT/%{_docdir}/%{oldname}/
mv $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/%{oldname}/docs $RPM_BUILD_ROOT/%{_docdir}/%{oldname}/
mv $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/%{oldname}/tools $RPM_BUILD_ROOT/%{_docdir}/%{oldname}/examples
mv *.txt $RPM_BUILD_ROOT/%{_docdir}/%{oldname}/
rm -rf $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/%{oldname}/build

%files
%exclude %{_bindir}/install-pythoncard.*
%if 0%{?fedora} >= 9
%{python_sitelibdir_noarch}/*egg-info
%endif
%{python_sitelibdir_noarch}/%{oldname}
%{_docdir}/%{oldname}

%changelog
* Thu Mar 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_21
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_20
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_19
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_18
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_17
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_16
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_15
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_14
- update to new release by fcimport

* Tue Dec 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_13
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_12
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_11
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_10
- initial fc import

